Skip to main content
POST
/
api
/
v1
/
school
/
sessions
/
{session_pk}
/
academic-classes
Create class session
curl --request POST \
  --url https://test-api.afrainity.com/api/v1/school/sessions/{session_pk}/academic-classes/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "session": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "form": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "subjects": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "is_deleted": true,
  "teacher": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

session_pk
string<uuid>
required

Body

Auto-populate created_by from request.user when available.

session
string<uuid>
required
form
string<uuid> | null
required
name
string
required
Required string length: 1 - 255
subjects
string<uuid>[]
is_deleted
boolean
teacher
string<uuid> | null

Response

{key}
any